using System;

namespace Syntriax.Engine.Core;

public static class Time
{
    private static GameTime _gameTime = new(TimeSpan.Zero, TimeSpan.Zero);

    public static TimeSpan Total => _gameTime.Total;
    public static TimeSpan Elapsed => _gameTime.Elapsed;

    public static void SetTime(GameTime gameTime) => _gameTime = gameTime;
}
